<?php
	// Loads child theme textdomain
	load_child_theme_textdomain( CURRENT_THEME, CHILD_DIR . '/languages' );

	require_once( 'custom-js.php' );

	// Add the postmeta to Clients
    require_once( 'theme-clientsmeta.php' );

	require_once(CHILD_DIR. "/includes/meta-box-class/my-meta-box-init.php");

	// Custom inner row
	if (!function_exists('row_custom_shortcode')) {
		function row_custom_shortcode($atts, $content = null) {
		extract(shortcode_atts(array(
		'custom_class' => '',
		), $atts));
		$output = '<div class="row '.$custom_class.'">'.do_shortcode($content).'</div>';
		return $output;
		}
		add_shortcode('row_custom', 'row_custom_shortcode');
	}

	// Extra Wrap
	if (!function_exists('extra_wrap_shortcode')) {
		function extra_wrap_shortcode($atts, $content = null) {
		extract(shortcode_atts(array(
		'custom_class' => '',
		), $atts));
		$output = '<div class="extra-wrap '.$custom_class.'">';
		$output .= do_shortcode($content);
		$output .= '</div>';

		return $output;
		}
		add_shortcode('extra_wrap', 'extra_wrap_shortcode');
	}

	// Custom list
	if ( !function_exists('custom_list_shortcode') ) {
		function custom_list_shortcode( $atts, $content = null) {
			extract(shortcode_atts(array(
			'custom_class' => '',
			), $atts));
			$output = '<div class="list styled custom-list '.$custom_class.'">';
			$output .= do_shortcode( $content );
			$output .= '</div>';

			return $output;
		}
		add_shortcode('custom_list', 'custom_list_shortcode');
	}

	// unstyled list
	if ( !function_exists('list_un_shortcode') ) {
		function list_un_shortcode( $atts, $content = null) {
			extract(shortcode_atts(array(
			'custom_class' => '',
			), $atts));
			$output = '<div class="list unstyled '.$custom_class.'">';
			$output .= do_shortcode( $content );
			$output .= '</div>';

			return $output;
		}
		add_shortcode('list_un', 'list_un_shortcode');
	}

	// Custom Extra Wrap
	if (!function_exists('extra_wrap_inner_shortcode')) {
		function extra_wrap_inner_shortcode($atts, $content = null) {
		extract(shortcode_atts(array(
		'custom_class' => '',
		), $atts));
		$output = '<div class="extra-wrap-inner '.$custom_class.'">';
		$output .= do_shortcode($content);
		$output .= '</div>';

		return $output;
		}
		add_shortcode('extra_wrap_inner', 'extra_wrap_inner_shortcode');
	}

	add_filter( 'cherry_stickmenu_selector', 'cherry_change_selector' );
		function cherry_change_selector($selector) {
		$selector = 'header .custom_poz';
		return $selector;
	}

	add_filter( 'cherry_plugin_owl_items_custom', 'cherry_child_set_owl_items_custom' );
		function cherry_child_set_owl_items_custom( $items_custom ) {
			$items_custom[4] = array( 1170, 1 );
			$items_custom[3] = array( 980, 1 );
			$items_custom[2] = array( 768, 1 );
			$items_custom[1] = array( 480, 1 );
			$items_custom[0] = array( 0, 1 );
		return $items_custom;
	}

	add_action( 'after_setup_theme', 'after_cherry_child_setup' );
		function after_cherry_child_setup() {
		  $nfu_options = get_option( 'nsu_form' );
		  if ( !$nfu_options ) {
		   $nfu_options_array = array();
		   $nfu_options_array['email_label']         = 'Email';
		   $nfu_options_array['text_before_form']    = 'Get our feed through email.';
		   $nfu_options_array['email_default_value'] = 'email address';
		   $nfu_options_array['submit_button']       = 'Sign up';
		   update_option( 'nsu_form', $nfu_options_array );
		}
	}

	// Loads custom scripts.
	// require_once( 'custom-js.php' );

/**
 * Post Grid
 *
 */
if (!function_exists('posts_grid_shortcode')) {

	function posts_grid_shortcode( $atts, $content = null, $shortcodename = '' ) {
		extract(shortcode_atts(array(
			'type'            => 'post',
			'category'        => '',
			'custom_category' => '',
			'tag'             => '',
			'columns'         => '3',
			'rows'            => '3',
			'order_by'        => 'date',
			'order'           => 'DESC',
			'thumb_width'     => '370',
			'thumb_height'    => '250',
			'meta'            => '',
			'excerpt_count'   => '10',
			'link'            => 'yes',
			'link_text'       => __('Read more', CHERRY_PLUGIN_DOMAIN),
			'custom_class'    => ''
		), $atts));

		$spans = $columns;
		$rand  = rand();

		// columns
		switch ($spans) {
			case '1':
				$spans = 'span12';
				break;
			case '2':
				$spans = 'span6';
				break;
			case '3':
				$spans = 'span4';
				break;
			case '4':
				$spans = 'span3';
				break;
			case '6':
				$spans = 'span2';
				break;
		}

		// check what order by method user selected
		switch ($order_by) {
			case 'date':
				$order_by = 'post_date';
				break;
			case 'title':
				$order_by = 'title';
				break;
			case 'popular':
				$order_by = 'comment_count';
				break;
			case 'random':
				$order_by = 'rand';
				break;
		}

		// check what order method user selected (DESC or ASC)
		switch ($order) {
			case 'DESC':
				$order = 'DESC';
				break;
			case 'ASC':
				$order = 'ASC';
				break;
		}

		// show link after posts?
		switch ($link) {
			case 'yes':
				$link = true;
				break;
			case 'no':
				$link = false;
				break;
		}

			global $post;
			global $my_string_limit_words;

			$numb = $columns * $rows;

			// WPML filter
			$suppress_filters = get_option('suppress_filters');

			$args = array(
				'post_type'         => $type,
				'category_name'     => $category,
				$type . '_category' => $custom_category,
				'tag'               => $tag,
				'numberposts'       => $numb,
				'orderby'           => $order_by,
				'order'             => $order,
				'suppress_filters'  => $suppress_filters
			);

			$posts      = get_posts($args);
			$i          = 0;
			$count      = 1;
			$output_end = '';
			$countul = 0;

			if ($numb > count($posts)) {
				$output_end = '</ul>';
			}

			$output = '<ul class="posts-grid row-fluid unstyled '. $custom_class .' ul-item-'.$countul.'">';


			foreach ( $posts as $j => $post ) {
				$post_id = $posts[$j]->ID;
				//Check if WPML is activated
				if ( defined( 'ICL_SITEPRESS_VERSION' ) ) {
					global $sitepress;

					$post_lang = $sitepress->get_language_for_element( $post_id, 'post_' . $type );
					$curr_lang = $sitepress->get_current_language();
					// Unset not translated posts
					if ( $post_lang != $curr_lang ) {
						unset( $posts[$j] );
					}
					// Post ID is different in a second language Solution
					if ( function_exists( 'icl_object_id' ) ) {
						$posts[$j] = get_post( icl_object_id( $posts[$j]->ID, $type, true ) );
					}
				}

				setup_postdata($posts[$j]);
				$excerpt        = get_the_excerpt();
				$attachment_url = wp_get_attachment_image_src( get_post_thumbnail_id($post_id), 'full' );
				$url            = $attachment_url['0'];
				$image          = aq_resize($url, $thumb_width, $thumb_height, true);
				$mediaType      = get_post_meta($post_id, 'tz_portfolio_type', true);
				$prettyType     = 0;

				if ($count > $columns) {
					$count = 1;
					$countul ++;
					$output .= '<ul class="posts-grid row-fluid unstyled '. $custom_class .' ul-item-'.$countul.'">';
				}

				$output .= '<li class="'. $spans .' list-item-'.$count.'">';
					if(has_post_thumbnail($post_id) && $mediaType == 'Image') {

						$prettyType = 'prettyPhoto-'.$rand;

						$output .= '<figure class="featured-thumbnail thumbnail">';
						$output .= '<a href="'.$url.'" title="'.get_the_title($post_id).'" rel="' .$prettyType.'">';
						$output .= '<img  src="'.$image.'" alt="'.get_the_title($post_id).'" />';
						$output .= '<span class="zoom-icon"></span></a></figure>';
					} elseif ($mediaType != 'Video' && $mediaType != 'Audio') {

						$thumbid = 0;
						$thumbid = get_post_thumbnail_id($post_id);

						$images = get_children( array(
							'orderby'        => 'menu_order',
							'order'          => 'ASC',
							'post_type'      => 'attachment',
							'post_parent'    => $post_id,
							'post_mime_type' => 'image',
							'post_status'    => null,
							'numberposts'    => -1
						) );

						if ( $images ) {

							$k = 0;
							//looping through the images
							foreach ( $images as $attachment_id => $attachment ) {
								$prettyType = "prettyPhoto-".$rand ."[gallery".$i."]";
								//if( $attachment->ID == $thumbid ) continue;

								$image_attributes = wp_get_attachment_image_src( $attachment_id, 'full' ); // returns an array
								$img = aq_resize( $image_attributes[0], $thumb_width, $thumb_height, true ); //resize & crop img
								$alt = get_post_meta($attachment->ID, '_wp_attachment_image_alt', true);
								$image_title = $attachment->post_title;

								if ( $k == 0 ) {
									if (has_post_thumbnail($post_id)) {
										$output .= '<figure class="featured-thumbnail thumbnail">';
										$output .= '<a href="'.$image_attributes[0].'" title="'.get_the_title($post_id).'" rel="' .$prettyType.'">';
										$output .= '<img src="'.$image.'" alt="'.get_the_title($post_id).'" />';
									} else {
										$output .= '<figure class="featured-thumbnail thumbnail">';
										$output .= '<a href="'.$image_attributes[0].'" title="'.get_the_title($post_id).'" rel="' .$prettyType.'">';
										$output .= '<img  src="'.$img.'" alt="'.get_the_title($post_id).'" />';
									}
								} else {
									$output .= '<figure class="featured-thumbnail thumbnail" style="display:none;">';
									$output .= '<a href="'.$image_attributes[0].'" title="'.get_the_title($post_id).'" rel="' .$prettyType.'">';
								}
								$output .= '<span class="zoom-icon"></span></a></figure>';
								$k++;
							}
						} elseif (has_post_thumbnail($post_id)) {
							$prettyType = 'prettyPhoto-'.$rand;
							$output .= '<figure class="featured-thumbnail thumbnail">';
							$output .= '<a href="'.$url.'" title="'.get_the_title($post_id).'" rel="' .$prettyType.'">';
							$output .= '<img  src="'.$image.'" alt="'.get_the_title($post_id).'" />';
							$output .= '<span class="zoom-icon"></span></a></figure>';
						}
					} else {

						// for Video and Audio post format - no lightbox
						$output .= '<figure class="featured-thumbnail thumbnail"><a href="'.get_permalink($post_id).'" title="'.get_the_title($post_id).'">';
						$output .= '<img  src="'.$image.'" alt="'.get_the_title($post_id).'" />';
						$output .= '</a></figure>';
					}

					$output .= '<div class="clear"></div>';

					$output .= '<h5><a href="'.get_permalink($post_id).'" title="'.get_the_title($post_id).'">';
						$output .= get_the_title($post_id);
					$output .= '</a></h5>';

					$output .= '<div class="post_metabox">';
						$output .= get_post_meta(get_the_ID(), 'tm_text_field_id', true);
					$output .= '</div>';

					if ($meta == 'yes') {
						// begin post meta
						$output .= '<div class="post_meta">';

							// post category
							$output .= '<span class="post_category">';
							if ($type!='' && $type!='post') {
								$terms = get_the_terms( $post_id, $type.'_category');
								if ( $terms && ! is_wp_error( $terms ) ) {
									$out = array();
									$output .= '<em>Posted in </em>';
									foreach ( $terms as $term )
										$out[] = '<a href="' .get_term_link($term->slug, $type.'_category') .'">'.$term->name.'</a>';
										$output .= join( ', ', $out );
								}
							} else {
								$categories = get_the_category($post_id);
								if($categories){
									$out = array();
									$output .= '<em>Posted in </em>';
									foreach($categories as $category)
										$out[] = '<a href="'.get_category_link($category->term_id ).'" title="'.$category->name.'">'.$category->cat_name.'</a> ';
										$output .= join( ', ', $out );
								}
							}
							$output .= '</span>';

							// post date
							$output .= '<span class="post_date">';
							$output .= '<time datetime="'.get_the_time('Y-m-d\TH:i:s', $post_id).'">' .get_the_date(). '</time>';
							$output .= '</span>';

							// post author
							$output .= '<span class="post_author">';
							$output .= '<em> by </em>';
							$output .= '<a href="'.get_author_posts_url(get_the_author_meta( 'ID' )).'">'.get_the_author_meta('display_name').'</a>';
							$output .= '</span>';

							// post comment count
							$num = 0;
							$queried_post = get_post($post_id);
							$cc = $queried_post->comment_count;
							if( $cc == $num || $cc > 1 ) : $cc = $cc.' Comments';
							else : $cc = $cc.' Comment';
							endif;
							$permalink = get_permalink($post_id);
							$output .= '<span class="post_comment">';
							$output .= '<a href="'. $permalink . '" class="comments_link">' . $cc . '</a>';
							$output .= '</span>';
						$output .= '</div>';
						// end post meta
					}
					//$output .= cherry_get_post_networks(array('post_id' => $post_id, 'display_title' => false, 'output_type' => 'return'));
					if($excerpt_count >= 1){
						$output .= '<p class="excerpt">';
							$output .= wp_trim_words($excerpt,$excerpt_count);
						$output .= '</p>';
					}

					$output .= cherry_get_post_networks(array('post_id' => $post_id, 'display_title' => false, 'output_type' => 'return'));

					if($link){
						$output .= '<a href="'.get_permalink($post_id).'" class="btn btn-primary" title="'.get_the_title($post_id).'">';
						$output .= $link_text;
						$output .= '</a>';
					}
					$output .= '</li>';
					if ($j == count($posts)-1) {
						$output .= $output_end;
					}
				if ($count % $columns == 0) {
					$output .= '</ul><!-- .posts-grid (end) -->';
				}
			$count++;
			$i++;

		} // end for
		wp_reset_postdata(); // restore the global $post variable

		$output = apply_filters( 'cherry_plugin_shortcode_output', $output, $atts, $shortcodename );

		return $output;
	}
	add_shortcode('posts_grid', 'posts_grid_shortcode');
}

// google_api_map
 if ( !function_exists('google_map_api_shortcode') ) {
  function google_map_api_shortcode( $atts, $content = null ) {
   extract(shortcode_atts(array(
      'lat_value'      => '33.7583031'
    , 'lng_value'      => '-84.3871182'
    , 'zoom_value'     => '15'
    , 'zoom_wheel'     => 'no'
    , 'custom_class'  => ''
   ), $atts));

   $random_id        = rand();
   $lat_value        = floatval( $lat_value );
   $lng_value        = floatval( $lng_value );
   $zoom_value       = intval( $zoom_value );
   $zoom_wheel       = $zoom_wheel=='yes' ? 'true' : 'false';

   $output = '<div class="google-map-api '.$custom_class.'">';
   $output .= '<div id="map-canvas-'.$random_id.'" class="gmap"></div>';
   $output .= '</div>';
   $output .= '<script type="text/javascript">
     google_api_map_init_'.$random_id.'();
     function google_api_map_init_'.$random_id.'(){
      var map;
      var coordData = new google.maps.LatLng(parseFloat('.$lat_value.'), parseFloat('.$lng_value.'));
      var marker;

      
      var styleArray = [
    {
        "featureType": "all",
        "elementType": "labels.text.fill",
        "stylers": [
            {
                "color": "#203c43"
            }
        ]
    },
    {
        "featureType": "landscape.man_made",
        "elementType": "geometry.fill",
        "stylers": [
            {
                "color": "#e7edef"
            }
        ]
    },
    {
        "featureType": "landscape.natural",
        "elementType": "all",
        "stylers": [
            {
                "visibility": "on"
            },
            {
                "color": "#d4e4d3"
            }
        ]
    },
    {
        "featureType": "poi",
        "elementType": "geometry.fill",
        "stylers": [
            {
                "visibility": "on"
            },
            {
                "color": "#d7e1e5"
            }
        ]
    },
    {
        "featureType": "poi.park",
        "elementType": "geometry.fill",
        "stylers": [
            {
                "color": "#afcfda"
            }
        ]
    },
    {
        "featureType": "road",
        "elementType": "geometry.fill",
        "stylers": [
            {
                "color": "#f5f5f5"
            }
        ]
    },
    {
        "featureType": "road",
        "elementType": "geometry.stroke",
        "stylers": [
            {
                "color": "#bbc7cb"
            },
            {
                "gamma": "0.65"
            },
            {
                "lightness": "0"
            }
        ]
    },
    {
        "featureType": "transit",
        "elementType": "labels.text",
        "stylers": [
            {
                "visibility": "off"
            }
        ]
    },
    {
        "featureType": "water",
        "elementType": "all",
        "stylers": [
            {
                "color": "#bbe9f8"
            }
        ]
    }
]
      

      function initialize() {
       var mapOptions = {
        zoom: '.$zoom_value.',
        zoom: 16,
        center: coordData,
        scrollwheel: '.$zoom_wheel.',
        /*scrollwheel: true,*/
        styles: styleArray
       }

       var contentString = "<div></div>";
       var infowindow = new google.maps.InfoWindow({
        content: contentString,
        maxWidth: 200
       });
       
       var map = new google.maps.Map(document.getElementById("map-canvas-'.$random_id.'"), mapOptions);
       marker = new google.maps.Marker({
        map:map,
        draggable:true,
        position: coordData
        //icon: markerIcon
       });

	/*var markerIcon = {
          url: "'.CHILD_URL.'/images/gmap_marker.png",
          size: new google.maps.Size(120, 120),
          origin: new google.maps.Point(0,0),
          anchor: new google.maps.Point(60, 60)
      };*/
       
       
      }
      google.maps.event.addDomListener(window, "load", initialize);
     }
     
   </script>';
   return $output;
  }
  add_shortcode('google_map_api', 'google_map_api_shortcode');
 }

/*-----------------------------------------------------------------------------------*/
/* Custom Comments Structure
/*-----------------------------------------------------------------------------------*/
if ( !function_exists( 'mytheme_comment' ) ) {
	function mytheme_comment($comment, $args, $depth) {
		$GLOBALS['comment'] = $comment;
	?>
	<li <?php comment_class('clearfix'); ?> id="li-comment-<?php comment_ID() ?>">
		<div id="comment-<?php comment_ID(); ?>" class="comment-body clearfix">
			<div class="wrapper">
				<div class="comment-author vcard">
					<?php echo get_avatar( $comment->comment_author_email, 65 ); ?>
				</div>
				<?php if ($comment->comment_approved == '0') : ?>
					<em><?php echo theme_locals("your_comment") ?></em>
				<?php endif; ?>
				<div class="extra-wrap">
					<?php echo esc_html( get_comment_text() ); ?>
				</div>
			</div>
			<div class="wrapper">
				<div class="left_block">
					<div class="comment-meta commentmetadata"><?php printf('%1$s', get_comment_date()) ?></div>
					<div class="comment-author vcard">
						<?php printf('<span class="author">%1$s</span>', get_comment_author_link()) ?>
					</div>
				</div>
				<div class="reply">
					<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
				</div>
			</div>
		</div>
<?php }
}



?>